# loggerimpl.h File Reference

`#include <log4cplus/config.h>`
`#include <log4cplus/logger.h>`
`#include <log4cplus/tstring.h>`
`#include <log4cplus/helpers/appenderattachableimpl.h>`
`#include <log4cplus/helpers/pointer.h>`
`#include <log4cplus/spi/loggerfactory.h>`
`#include <memory>`
`#include <vector>`

Include dependency graph for loggerimpl.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | log4cplus
namespace | log4cplus::spi

## Detailed Description

Definition in file loggerimpl.h.